require "numru/ggraph"
include NumRu

dir = '..'
vnames = ['QTracer', 'QTracerNoMF', 'AdvTestStreamFunc']

figdir = 'figs'
Dir::mkdir( figdir )


ihrs =   0
ihre = 120

vname = vnames[0]
gphys = GPhys::NetCDF_IO.open(dir+'/'+vname+".nc", vname)
ihrs =  0
ihre = gphys.coord('time').val.size-1

p ihrs
p ihre

for ivar in 0..(vnames.length-1)
  for ihr in ihrs..ihre

    p 'Output step: ' + ihr.to_s

    system('ruby draw_3D_yz.rb ' + dir + ' ' + vnames[ivar] + ' ' + ihr.to_s )

    system("pstoimg -type gif -flip r270 dcl.ps")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+"%0#{3}d.gif", ihr )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"%0#{3}d.ps" , ihr )
    system(com)
  end
  com = "gifsicle -l0 -d 20 -o "+figdir+"/dcl_"+vnames[ivar]+".gif "+figdir+"/dcl_"+vnames[ivar]+"_*.gif"
  p com
  system(com)
end

